Bug 193974 - sqlite package depends on compat-readline 4.3, but doesn't list it as dependency
Summary: sqlite package depends on compat-readline 4.3, but doesn't list it as dependency
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: sqlite (Show other bugs)
(Show other bugs)
Version: 5
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-06-03 15:41 UTC by Jim Tittsler
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-26 17:52:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Tittsler 2006-06-03 15:41:55 UTC
Description of problem:

sqlite 3.3.3 depends on libreadline 4.3, but doesn't list it as dependency

Version-Release number of selected component (if applicable):

sqlite-3.3.3-1.2

How reproducible:

very

Steps to Reproduce:
1.  install sqlite-3.3.3-1.2 without installing compat-readline43
2.  run sqlite3
3.  error message displayed about missing libreadline
  
Actual results:


Expected results:


Additional info:

Comment 1 Paul Nasrat 2006-06-26 17:52:33 UTC
How did you install? readline should be pulled in as a dep.  The only way I can
see this going wrong if you installed using nodeps.

rpm -qpR sqlite-3.3.3-1.2.i386.rpm  | grep readline
libreadline.so.5

rpm -e --test readline 
...
        libreadline.so.5 is needed by (installed) sqlite-3.3.5-1.i386


Comment 2 Jim Tittsler 2006-06-26 22:56:20 UTC
Upgrade from FC3->FC5

Comment 3 Paul Nasrat 2006-06-26 23:29:37 UTC
Upgrade with anaconda? Please attach /root/upgrade.log, and reopen, other
upgrade methods are not supported although most depsolvers should have done the
correct thing.


Note You need to log in before you can comment on or make changes to this bug.